module FeynmanDiagramGenerator

using QEDbase
using QEDprocesses

include("QEDprocesses_patch.jl")

import Base.==

export GenericQEDProcess, isphysical

export AbstractTreeLevelFeynmanDiagram, FeynmanVertex, FeynmanDiagram
export external_particles, virtual_particles, process, vertices

export Forest

export plane_trees, labelled_plane_trees, feynman_diagrams

export can_interact
export QED

include("trees/labelled_plane_trees.jl")
include("trees/trees.jl")
include("trees/iterator.jl")
include("trees/print.jl")

include("qft/qft.jl")

include("generic_process_def.jl")

include("diagrams/interface.jl")
include("diagrams/vertex.jl")
include("diagrams/diagrams.jl")
include("diagrams/iterator.jl")
include("diagrams/QED.jl")

end # module FeynmanDiagramGenerator
